Package Base Details: xorg-server-git

Git Clone URL: https://aur.archlinux.org/xorg-server-git.git (read-only, click to copy)
Keywords: git x-server xorg xorg-server
Submitter: ilikenwf
Maintainer: yurikoles
Last Packager: yurikoles
Votes: 44
Popularity: 0.80
First Submitted: 2008-08-07 19:05
Last Updated: 2019-09-01 21:01

Pinned Comments

yurikoles commented on 2019-05-29 15:00

PRs are welcome: https://github.com/yurikoles-aur/xorg-server-git

Latest Comments

« First ‹ Previous ... 14 15 16 17 18 19

Det commented on 2010-07-30 14:24

Ok, nice/thanks, but you still don't have the evdev and "xorg quirks" confs that you define to be installed in this line:

install -m644 "$srcdir/10-evdev.conf" "$srcdir/10-quirks.conf" "$pkgdir/etc/X11/xorg.conf.d/" || return 1

With "return 1" it breaks the build (at least _really should_). So I take it you didn't test build this thing?

Plus you still didn't include the man page for Xfvb (the "xvfb-run.1" file) :). You can grab these files from the [extra]'s xorg-server or e.g. my package. It doesn't matter.

What matters is that you grab them from somewhere :).

Det commented on 2010-07-22 11:18

Yeah, okay, but you'd still need to have the option to make it executable, e.g. comment the following line by default (and maybe also include the xfvb man (the 'xvfb-run.1' file)):
install -m755 "${srcdir}/xvfb-run" "${pkgdir}/usr/bin/"

Anonymous comment on 2010-07-21 15:07

Ok I will look at the patch thanks for your help Det and Ollila.
BTW. I disabled xvfb because I think that people will fit the /.configure section to their needs ;)

Det commented on 2010-07-16 16:26

I flagged this out-of-date because that's what this PKGBUILD in a way is. It doesn't even compile so you just update it to do so and the world will be a happy place once again.

Anonymous comment on 2010-07-16 13:44

I did quite a lot of tweaks with your PKGBUILD (these changes will fix the build too). You should've a look: http://aur.pastebin.com/74aJzukJ

You should also consider adding a "libgl providing package already installed" variable for the sake of Nvidia and Catalyst proprietary driver users (e.g. like this: http://aur.pastebin.com/1ZC29CUg).

Btw. I don't understand why did you disable xfvb (X virtual framebuffer) on the configure section but still include the xfvb-run script (but not the man for it) with this package (which also needs '755' permissions to be executable).

Btw2. You got this line:
install -m644 "${srcdir}/10-evdev.conf" "${srcdir}/10-quirks.conf"...
...but not the files themselves, why?

Det commented on 2010-07-14 08:45

You should use quotation marks (") with the pkgdesc, not brackets ("(" and ")"). Otherwise the brackets will be included in the description :).

Anonymous comment on 2010-05-06 10:15

Updated:
No patches included.
Just say if you want any patch.

Anonymous comment on 2010-04-27 16:47

Yes I can do that but it will take some time...

flamelab commented on 2010-04-25 17:49

Could you adjust the xorg-server-git PKGBUILD according to the one found (right now) of xorg-server 1.8 on [xorg18] repo ?